gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.BytesIcon

Contents

- Exported types
- Methods
  - Overloaded methods
  - getBytes
  - new
- Properties
  - bytes

Description

`BytesIcon` specifies an image held in memory in a common format (usually png) to be used as icon.

Since: 2.38

Synopsis

- newtype BytesIcon = BytesIcon (ManagedPtr BytesIcon)
- class (GObject o, IsDescendantOf BytesIcon o) => IsBytesIcon o
- toBytesIcon :: (MonadIO m, IsBytesIcon o) => o -> m BytesIcon
- bytesIconGetBytes :: (HasCallStack, MonadIO m, IsBytesIcon a) => a -> m Bytes
- bytesIconNew :: (HasCallStack, MonadIO m) => Bytes -> m BytesIcon
- constructBytesIconBytes :: (IsBytesIcon o, MonadIO m) => Bytes -> m (GValueConstruct o)
- getBytesIconBytes :: (MonadIO m, IsBytesIcon o) => o -> m Bytes

# Exported types

newtype BytesIcon Source #

Memory-managed wrapper type.

Constructors

BytesIcon (ManagedPtr BytesIcon) |

#### Instances

Instances details

Eq BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon Methods (==) :: BytesIcon -> BytesIcon -> Bool # (/=) :: BytesIcon -> BytesIcon -> Bool #
GObject BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
TypedObject BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon Methods glibType :: IO GType Source #
ManagedPtrNewtype BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon Methods toManagedPtr :: BytesIcon -> ManagedPtr BytesIcon Source #
IsGValue BytesIcon Source # | Convert `BytesIcon` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.BytesIcon Methods toGValue :: BytesIcon -> IO GValue Source # fromGValue :: GValue -> IO BytesIcon Source #
HasParentTypes BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon
type ParentTypes BytesIcon Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon type ParentTypes BytesIcon = '[Object, Icon, LoadableIcon]

class (GObject o, IsDescendantOf BytesIcon o) => IsBytesIcon o Source #

Type class for types which can be safely cast to `BytesIcon`, for instance with `toBytesIcon`.

#### Instances

Instances details

(GObject o, IsDescendantOf BytesIcon o) => IsBytesIcon o Source # |
Instance details Defined in GI.Gio.Objects.BytesIcon

toBytesIcon :: (MonadIO m, IsBytesIcon o) => o -> m BytesIcon Source #

Cast to `BytesIcon`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getBytes

bytesIconGetBytes Source #

Arguments

:: (HasCallStack, MonadIO m, IsBytesIcon a) |
=> a | `icon`: a `Icon`.
-> m Bytes | Returns: a `Bytes`, or `Nothing`.

Gets the `Bytes` associated with the given `icon`.

Since: 2.38

## new

bytesIconNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Bytes | `bytes`: a `Bytes`.
-> m BytesIcon | Returns: a `Icon` for the given `bytes`, or `Nothing` on error.

Creates a new icon for a bytes.

Since: 2.38

# Properties

## bytes

The bytes containing the icon.

constructBytesIconBytes :: (IsBytesIcon o, MonadIO m) => Bytes -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`bytes`” property. This is rarely needed directly, but it is used by `new`.

getBytesIconBytes :: (MonadIO m, IsBytesIcon o) => o -> m Bytes Source #

Get the value of the “`bytes`” property. When overloading is enabled, this is equivalent to

    get bytesIcon #bytes